<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<? // efetiva as operações de atualização na tabela seriehistoricatermo

// transforma os campos do FORM em variáveis $sc_* locais
$sc_operacao                   = $_POST['form_submitBtn'];
$sc_valorgranularidade         = $_POST['form_valorgranularidade'];
$sc_valorgranularidadeanterior = $_POST['form_valorgranularidadeanterior'];
$sc_valorperiodo               = $_POST['form_valorperiodo'];
$sc_valorperiodoanterior       = $_POST['form_valorperiodoanterior'];
$sc_valortermo                 = $_POST['form_valortermo'];

switch ($sc_operacao) {

	// Inclusão de uma linha na série histórica de termos
	// Utiliza:
	// - form_termo = $sc_termo, $sc_granularidade, $sc_periodicidade
	// - form_valorgranularidade = $sc_valorgranularidade
	// - form_valorperiodo = $sc_valorperiodo
	// - form_valortermo = $sc_valortermo	

	case "Incluir":
		// Se a PK existe na tabela, não faz nada e termina
		$sql = "
			select *
			from seriehistoricatermo
			where codigotermo = '" . $sc_termo . "'
			and codigogranularidade = " . $sc_granularidade . "
			and valorgranularidade = '" . $sc_valorgranularidade . "'
			and valorperiodo =  '" . $sc_valorperiodo . "'";
		$result=pg_query($dbh, $sql);
		if (!$result) {
		 	header('location:index.php?msn=4');
			exit;
		}
		if (pg_NumRows($result) != 0) {
			$sc_operacao = 'Consultar [' . pg_NumRows($result) . ']';
			break;
		}
		
		// Se a PK não existe na tabela, inclui
		$sql = "
			insert into seriehistoricatermo (
				codigotermo,
				codigogranularidade,
				valorgranularidade,
				valorperiodo,
				valortermo,
				codigoperiodicidade
			)
			values (
				'" . $sc_termo . "', 
				 " . $sc_granularidade . ", 
				'" . $sc_valorgranularidade . "',
				'" . $sc_valorperiodo . "',
				 " . $sc_valortermo . ",
				 " . $sc_periodicidade . "
			)";
		$result=pg_query($dbh, $sql);
		if (!$result) {
		 	header('location:index.php?msn=4');
			exit;
		}
		break;

	// --------------------------------------------------------------------------------
	// Atualização de uma linha na série histórica de termos
	// Utiliza:
	// - form_termo = $sc_termo, $sc_granularidade, $sc_periodicidade
	// - form_valorgranularidade = $sc_valorgranularidade
	// - form_valorgranularidadeanterior = $sc_valorgranularidadeanterior
	// - form_valorperiodo = $sc_valorperiodo
	// - form_valorperiodoanterior = $sc_valorperiodoanterior
	// - form_valortermo = $sc_valortermo

	case "Atualizar":
		$sql = "
			update seriehistoricatermo
			set
				valorgranularidade = '" . $sc_valorgranularidade . "',
				valorperiodo       = '" . $sc_valorperiodo . "',
				valortermo        = " . $sc_valortermo . "
			where codigotermo = '" . $sc_termo . "'
			and codigogranularidade = " . $sc_granularidade . "
			and valorgranularidade = '" . $sc_valorgranularidadeanterior . "'
			and valorperiodo =  '" . $sc_valorperiodoanterior . "'";
		$result=pg_query($dbh, $sql);
		if (!$result) {
			header('location:index.php?msn=4');
			exit;
		}
		break;

	// Remoção de uma linha na série histórica de termos
	// Utiliza:
	// - form_termo = $sc_termo, $sc_granularidade,
	// - form_valorgranularidade = $sc_valorgranularidade
	// - form_valorperiodo = $sc_valorperiodo

	case "Remover":
		$sql = "
			delete
			from seriehistoricatermo
			where codigotermo = '" . $sc_termo . "'
			and codigogranularidade = " . $sc_granularidade . "
			and valorgranularidade = '" . $sc_valorgranularidade . "'
			and valorperiodo =  '" . $sc_valorperiodo . "'";
		$result=pg_query($dbh, $sql);
		if (!$result) {
			header('location:index.php?msn=4');
			exit;
		}
		break;
	}

// debug
echo "\n" . '<!-- ' . $sc_operacao . ' = ' . $sql . '--> ' ;
		
?>